Package org.apache.solr.client.solrj.impl

# Class HttpJdkSolrClient.Builder

java.lang.Object
org.apache.solr.client.solrj.impl.HttpSolrClientBuilderBase<HttpJdkSolrClient.Builder,HttpJdkSolrClient>
org.apache.solr.client.solrj.impl.HttpJdkSolrClient.Builder

Enclosing class:
  `HttpJdkSolrClient`

public static class HttpJdkSolrClient.Builder extends HttpSolrClientBuilderBase<HttpJdkSolrClient.Builder,HttpJdkSolrClient>

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.impl.HttpSolrClientBuilderBase

`baseSolrUrl, basicAuthAuthorizationStr, connectionTimeoutMillis, defaultCollection, defaultUseHttp1_1, executor, followRedirects, idleTimeoutMillis, maxConnectionsPerHost, proxyHost, proxyIsSecure, proxyIsSocks4, proxyPort, requestTimeoutMillis, requestWriter, responseParser, urlParamNames, useHttp1_1`

## Constructor Summary

Constructors
Constructor
Description
`Builder()`
`Builder(String baseSolrUrl)`

## Method Summary

Modifier and Type
Method
Description
`HttpJdkSolrClient`
`build()`
`HttpJdkSolrClient.Builder`
`withCookieHandler(CookieHandler cookieHandler)`
Use the provided CookieHandler.
`HttpJdkSolrClient.Builder`
`withHttpClient(HttpJdkSolrClient httpSolrClient)`
Provide a seed HttpSolrClient for the builder values, values can still be overridden by using builder methods
`HttpJdkSolrClient.Builder`
`withSSLContext(SSLContext sslContext)`
Use the provided SSLContext.

### Methods inherited from class org.apache.solr.client.solrj.impl.HttpSolrClientBuilderBase

`getConnectionTimeoutMillis, getExecutor, getFollowRedirects, getIdleTimeoutMillis, getMaxConnectionsPerHost, getProxyHost, getProxyPort, getRequestTimeoutMillis, isProxyIsSecure, isProxyIsSocks4, shouldUseHttp1_1, useHttp1_1, withBaseSolrUrl, withBasicAuthCredentials, withConnectionTimeout, withDefaultCollection, withExecutor, withFollowRedirects, withIdleTimeout, withMaxConnectionsPerHost, withOptionalBasicAuthCredentials, withProxyConfiguration, withRequestTimeout, withRequestWriter, withResponseParser, withTheseParamNamesInTheUrl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

### Builder

public Builder(String baseSolrUrl)

## Method Details

### build

public HttpJdkSolrClient build()

Specified by:
  `build` in class `HttpSolrClientBuilderBase<HttpJdkSolrClient.Builder,HttpJdkSolrClient>`

### withHttpClient

public HttpJdkSolrClient.Builder withHttpClient(HttpJdkSolrClient httpSolrClient)
Description copied from class: `HttpSolrClientBuilderBase`
Provide a seed HttpSolrClient for the builder values, values can still be overridden by using builder methods

Overrides:
  `withHttpClient` in class `HttpSolrClientBuilderBase<HttpJdkSolrClient.Builder,HttpJdkSolrClient>`

### withSSLContext

public HttpJdkSolrClient.Builder withSSLContext(SSLContext sslContext)
Use the provided SSLContext. See `HttpClient.Builder.sslContext(SSLContext)`.

Parameters:
  `sslContext` - the ssl context to use
Returns:
  this Builder

### withCookieHandler

public HttpJdkSolrClient.Builder withCookieHandler(CookieHandler cookieHandler)
Use the provided CookieHandler.

Parameters:
  `cookieHandler` - the cookie handler to use
Returns:
  this Builder